Name:           ltspfs
Version:        0.5.5
Release:        1%{?dist}
Summary:        LTSP file system, daemon that runs on thin clients

Group:          System Environment/Base
License:        GPL+
URL:            https://code.launchpad.net/ltspfs
Source0:        ltspfs-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: fuse-devel
BuildRequires: libX11-devel
BuildRequires: glib2-devel
%if 0%{?rhel} == 5
Requires:      dkms-fuse
%endif

%package -n ltspfsd 
Group:          System Environment/Base
Summary:        LTSP file system, userspace FUSE module that runs on a server
Requires:      xorg-x11-utils

%description
Fuse based remote filesystem for LTSP thin clients
 LtspFS is a remote filesystem consisting of two parts:
 1) A network server daemon that runs on the LTSP terminal.
 2) A FUSE module that runs in userspace on the server, that connects with
 the daemon on the client.
 This package contains the userspace parts for the LTSP server.


%description -n ltspfsd 
Fuse based remote filesystem daemon for LTSP thin clients
 LtspFS is a remote filesystem consisting of two parts:
 1) A network server daemon that runs on the LTSP terminal.
 2) A FUSE module that runs in userspace on the server, that connects with
 the daemon on the client.
 This package contains the daemon to be run on the LTSP thin client.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/devices/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_bindir}/ltspfs
%attr(4755,root,root) %{_bindir}/lbmount
%{_sbindir}/ltspfsmounter
%{_mandir}/man1/ltspfs.1.gz
%{_mandir}/man1/lbmount.1.gz
%{_mandir}/man1/ltspfsmounter.1.gz

%files -n ltspfsd
%defattr(-,root,root,-)
%{_bindir}/ltspfsd
%{_sbindir}/cdpinger
%{_sbindir}/ltspfs_mount
%{_sbindir}/ltspfs_umount
%{_sysconfdir}/udev/rules.d/88-ltsp.rules
/lib/udev/ltspfs_entry
%{_datadir}/ldm/
%{_mandir}/man1/ltspfsd.1.gz
%{_mandir}/man1/cdpinger.1.gz
%{_mandir}/man1/ltspfs_mount.1.gz
%{_mandir}/man1/ltspfs_umount.1.gz
%dir %{_localstatedir}/run/devices/

%changelog
* Sun Oct 12 2008 Warren Togami <wtogami@redhat.com> - 0.5.5-1
- 0.5.5 fixes a cdpinger segfault

* Thu Sep 11 2008 Warren Togami <wtogami@redhat.com> - 0.5.4-1
- bug fixes and more man pages

* Mon Apr 28 2008 Warren Togami <wtogami@redhat.com> - 0.5.2-1
- Create /media/$username as 0750 instead of 0755
  (needed by glib2-2.16.3-5.fc9)
  Ignore inaccessible mounts during mountpoint enumeration (GNOME #526320)
  This prevents bogus inaccessible devices owned by one user from appearing
  on the desktops of other users.

* Mon Apr 21 2008 Warren Togami <wtogami@redhat.com> - 0.5.1-1
- lbmount must be setuid
- ltspfsd requires xorg-x11-utils in the client chroot

* Wed Apr 16 2008 Warren Togami <wtogami@redhat.com> - 0.5.0-1
- 0.5.0 to have an actual version number
  almost no change changes since previous snapshot
- Include /var/run/devices so ltspfs has a chance of working.

* Mon Mar 10 2008 Warren Togami <wtogami@redhat.com> - 0.4.2-0.1.20080310
- spec fixes

* Mon Mar 10 2008 Warren Togami <wtogami@redhat.com> - 0.4.2-0.20080310
- spec fixes

* Mon Jan 14 2008 Warren Togami <wtogami@redhat.com> - 0.4.2-0.20080114
- initial package for review

